Summary: A web based terminal
Name: ajaxterm
Version: 0.9
Release: %mkrel 2

# LGPL for the bundled js part 
License: GPL and LGPL
Group: System/Servers
URL: http://antony.lesuisse.org/qweb/trac/wiki/AjaxTerm
Source: http://antony.lesuisse.org/qweb/files/Ajaxterm-%{version}.tar.bz2
Source1: %{name}.init.bz2
Source2: %{name}.sysconfig.bz2
Requires(preun): rpm-helper
Requires(post):  rpm-helper
Requires: python
BuildRequires: python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
Ajaxterm is a web based terminal. It was totally inspired and works almost 
exactly like http://anyterm.org/ except it's much easier to install. 

Ajaxterm written in python (and some AJAX javascript for client side) and 
depends only on python2.3 or better.

%prep
%setup -q -n Ajaxterm-%{version}

%build
./configure --prefix=$RPM_BUILD_ROOT/%_prefix/
perl -pi -e 's/.*ajaxterm.initd.*//' Makefile
perl -pi -e 's|bin/python2.3|bin/python|' qweb.py

%install
%{__rm} -rf %{buildroot}
make install 

mkdir -p %{buildroot}/%_initrddir/
mkdir -p %{buildroot}/%_sysconfdir/sysconfig

bzcat %SOURCE1 > %{buildroot}/%_initrddir/%{name}
bzcat %SOURCE2 > %{buildroot}/%_sysconfdir/sysconfig/%name

chmod 755 %{buildroot}/%_initrddir/%{name}
perl -pi -e 's|%{buildroot}/||g' %{buildroot}/%{_bindir}/ajaxterm

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README.txt
%{_bindir}/*
%{_datadir}/%name/
%{_mandir}/man1/*
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %_sysconfdir/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%changelog
* Mon Oct 02 2006 Michael Scherer <misc@mandriva.org> 0.9-2mdv2007.0
+ Revision: 62824
- requires python, fix bug #24176
- Import ajaxterm




* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 0.9-2mdv2007.0
- add missing BuildRequires, since python is no longer required for 
  rpm-build and basesystem

* Thu Jul 20 2006 Michael Scherer <misc@mandriva.org> 0.9-1mdv2007.0
- New version 0.9

* Sun Jul 09 2006 Michael Scherer <misc@mandriva.org> 0.8-1
- New release 0.8

* Thu Jun 01 2006 Michael Scherer <misc@mandriva.org> 0.7-2mdv2007.0
- fix #22855

* Wed May 31 2006 Michael Scherer <misc@mandriva.org> 0.7-1mdk
- New release 0.7
- removed patch0, applied upstream

* Wed May 24 2006 Michael Scherer <misc@mandriva.org> 0.6-1mdk
- First package
